summaryrefslogtreecommitdiffstats
path: root/libraries/opal
diff options
context:
space:
mode:
author Olivier Esser <olive001@tele2allin.be>2010-05-11 22:24:13 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:24:13 +0200
commit9532849d4ca98e9228a5af70c7b68f141a732dd4 (patch)
tree17cbda23636a5b6130a3eb05f320ae48e0fbb647 /libraries/opal
parent6596856bd6bcb6c788dcd869a7c03dbb79b40fef (diff)
downloadslackbuilds-9532849d4ca98e9228a5af70c7b68f141a732dd4.tar.gz
slackbuilds-9532849d4ca98e9228a5af70c7b68f141a732dd4.tar.xz
libraries/opal: Updated for version 2.2.11
Diffstat (limited to 'libraries/opal')
-rw-r--r--libraries/opal/opal.SlackBuild26
-rw-r--r--libraries/opal/slack-desc4
2 files changed, 17 insertions, 13 deletions
diff --git a/libraries/opal/opal.SlackBuild b/libraries/opal/opal.SlackBuild
index deffee8ef6..fcdb771183 100644
--- a/libraries/opal/opal.SlackBuild
+++ b/libraries/opal/opal.SlackBuild
@@ -5,25 +5,28 @@
# Written by Olivier Esser (olive001@tele2allin.be), based on
# the template available at slackbuilds.org (public domain)
-# Exit on most errors
-set -e
-
PRGNAM=opal
VERSION=2.2.11
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Upstream uses -Os, so we won't define -O2 here
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -38,15 +41,16 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
-CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a mpl-1.0.htm $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/opal/slack-desc b/libraries/opal/slack-desc
index 2cb82e1291..01629ec797 100644
--- a/libraries/opal/slack-desc
+++ b/libraries/opal/slack-desc
@@ -5,14 +5,14 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
opal: OPAL (Open Phone Abstraction Library)
opal:
opal: OPAL is an Open Source class library for the development of
opal: applications that use SIP / H.323 protocols for multimedia
opal: communications over packet based networks.
opal:
-opal:
+opal: Homepage: http://ekiga.org
opal:
opal:
opal: